<?php
$db_server = "localhost";
$db_user ="root";
$db_pass ="";
$db_name ="e0";
$conn ="";

try{
$conn = mysqli_connect($db_server, $db_user, 
                        $db_pass, $db_name);
}catch(mysqli_sql_exception){
    echo "SQL Problem perhaps brother ...";
}
if($conn){
    echo "Connected to E0";
}else{
    echo "No connection";
}

class GaiaBH01{
    public $E0_Konkresi = 10000;
    public $Genesis;
    public function __construct($E0_Konkresi="Genesis")
    {
        $this-> Genesis = $E0_Konkresi;
    }
    public function E1(){
        
    }
    public function E2(){
    
    }
    public function E3(){
    
    }
    public function E4(){
    
    }
    public function E0(){

    }

}

class GaiaBH02 extends GaiaBH01{
    public function XGF34(){
        return "HP = $this->E0_Konkresi";

    }
    public function LP658_2(){

    }
    public function GJ3991(){

    }
}

class Phoenix_A extends GaiaBH01{
    public function HD140283(){

    }
    public function PG1159(){

    }
}

class Tonentzier618 extends GaiaBH01{
    public function Sadr(){
        
    }
    public function Lesath(){

    }
    public function Betelgeuse(){

    }
    public function Belatrix(){

    }
}

class Sagitari_A extends GaiaBH01{
    public function Achernar(){

    }
    public function Suhail(){

    }
    public function Avior(){

    }
    public function Aldebaran(){

    }
    public function Zaurak(){

    }

}

class Messier_31 extends GaiaBH01{
    public function Regulus(){

    }
    public function Tarf(){

    }
    public function Sertan(){

    }
    public function Aselus_Borealis(){

    }
    public function Rigel(){

    }
}

class SAM31 extends GaiaBH01{
    public function AB07(){
    /*
    $Antares = 
    $Polaris = 
    $Altair = 
    $Deneb =
    $Vega =     
    */
    }
    public function R71(){
    /*
    $Sirius =
    $Anka =
    $Alya =
    $Spica =
    $Pollux =
    */
    }
    public function WR20a(){
    #$Formalhault =
    #$Mimosa =
    }
    public function HV121(){

    }
}

class HV121 extends SAM31{
    
    public function Albiero_A(){

    }
    public function Albiero_B(){

    }
}

$BH02 = new GaiaBH02();
echo $BH02->XGF34();